College Football DataCollege Football Data
  • CollegeFootballData.com
  • Get API Key
  • Legacy Swagger UI
  • Getting Started
  • Official libraries
  • Methodology and resources
  • API Reference
Helpful Links
  • CFBD
  • Patreon
  • Gumroad
Data + Code Packs
  • Starter Pack
  • Model Training Pack
  • AI Launchpad
  • AI Builder Pack
Other Resources
  • Rad Sports Analytics
  • Blog
  • Basketball

A Rad Sports Analytics platform.

xdiscordgithub
Information
Games
    /gamesget/games/teamsget/games/playersget/games/mediaget/games/weatherget/games/scheduleget/games/{gameId}/previewget/games/{gameId}/preview/adjustedget/recordsget/calendarget/scoreboardget/game/box/advancedget
Playoffs
    /playoffs/cfpget/playoffs/cfp/participantsget/playoffs/cfp/gamesget
Drives
    /drivesget
Plays
    /playsget/plays/typesget/plays/statsget/plays/stats/typesget/live/playsget
Passing
    /passing/playsget/passing/players/seasonget/passing/players/gamesget/passing/teams/seasonget/passing/teams/gamesget
Rushing
    /rushing/playsget/rushing/players/seasonget/rushing/players/gamesget/rushing/teams/seasonget/rushing/teams/gamesget
Punting
    /punting/playsget/punting/players/seasonget/punting/players/gamesget/punting/teams/seasonget/punting/teams/gamesget
Teams
    /teams/season/overviewget/teamsget/teams/fbsget/teams/matchupget/teams/atsget/rosterget/talentget
Conferences
    /conferencesget/conferences/changesget/conferences/affiliationsget
Venues
    /venuesget
Coaches
    /coachesget/coaches/profileget/coaches/seasonsget/coaches/tenuresget
Players
    /player/searchget/player/usageget/player/season/overviewget/player/returningget/player/portalget
Rankings
    /rankingsget
Betting
    /linesget
Recruiting
    /recruiting/playersget/recruiting/teamsget/recruiting/groupsget
Ratings
    /ratings/coreget/ratings/spget/ratings/sp/conferencesget/ratings/srsget/ratings/srs/expandedget/ratings/eloget/ratings/fpiget
Metrics
    /ppa/predictedget/ppa/teamsget/ppa/gamesget/ppa/players/gamesget/ppa/players/seasonget/metrics/wpget/metrics/wp/pregameget/metrics/fg/epget
Stats
    /stats/player/seasonget/stats/player/successget/stats/player/success/gameget/stats/seasonget/stats/categoriesget/stats/season/advancedget/stats/game/advancedget/stats/game/havocget
Draft
    /draft/teamsget/draft/positionsget/draft/picksget
Adjusted metrics
    /wepa/team/seasonget/wepa/players/passingget/wepa/players/rushingget/wepa/players/kickingget
Info
    /infoget/info/usageget
Schemas
powered by Zudoku
College Football Data API
College Football Data API

Punting

Download schema

Enriched punt plays and player and team punting production.


GET
https://api.collegefootballdata.com
/punting/plays
Bearer

Returns enriched punt plays with gross, return, and net yardage, field position, and punt outcomes.

query Parameters

gameId
​integer · int32

Game ID.

year
​integer · int32

Season year. Required unless gameId is specified.

week
​integer · int32

Week number. Either week, a team filter, punterId, or returnerId is required with year.

seasonType
​SeasonType · enum

Season type.

Enum values:
regular
postseason
both
allstar
spring_regular
spring_postseason
team
​string

Team name on either side of the punt.

puntingTeam
​string

Punting team name.

receivingTeam
​string

Receiving team name.

conference
​string

Conference name or abbreviation on either side of the punt.

punterId
​string

Punter athlete ID.

returnerId
​string

Returner athlete ID.

classification
​DivisionClassification · enum

Division classification. Defaults to fbs.

Enum values:
fbs
fcs
ii
ii/iii
iii

Responses

200

Ok

​PuntingPlay[]
PuntingPlay
gameId
​integer · int32 · required
playId
​string · required
driveId
​string | null · required
season
​integer · int32 · required
week
​integer · int32 · required
seasonType
​SeasonType · enum · required
Enum values:
regular
postseason
both
allstar
spring_regular
spring_postseason
puntingTeamId
​integer · int32 · required
puntingTeam
​string · required
puntingConference
​string | null · required
receivingTeamId
​integer · int32 · required
receivingTeam
​string · required
receivingConference
​string | null · required
period
​integer · int32 · required
​PuntingPlayClock · required
down
​integer · int32 · required
distance
​integer | null · int32 · required
playType
​string · required
playText
​string | null · required
punterId
​string | null · required
punter
​string | null · required
receiverId
​string | null · required
receiver
​string | null · required
returnerId
​string | null · required
returner
​string | null · required
blockerId
​string | null · required
blocker
​string | null · required
countsAsPunt
​boolean | null · required

Whether the play counts as a punt; null when unknown.

countsAsReturn
​boolean | null · required

Whether the play counts as a punt return; null when unknown.

startYardsToGoal
​integer | null · int32 · required
puntYards
​integer | null · int32 · required

Gross punt yards.

returnYards
​integer | null · int32 · required

Return yards for the receiving team.

returnerYards
​integer | null · int32 · required

Return yards credited to the returner; null when not credited individually.

netPuntYards
​integer | null · int32 · required

Gross punt yards minus return yards, less 20 yards for a touchback.

kickEndYardline
​integer | null · int32 · required

Where the kick ended, from the punting team's goal line (0) to the receiving team's goal line (100).

endYardline
​integer | null · int32 · required

Where the play ended, on the same scale as kickEndYardline.

isTouchback
​boolean | null · required
isFairCatch
​boolean | null · required
isOutOfBounds
​boolean | null · required
isDowned
​boolean | null · required
isBlocked
​boolean | null · required
isMuffed
​boolean | null · required
isReturnTouchdown
​boolean | null · required
isReceivingTeamTurnover
​boolean | null · required

The receiving team lost possession, such as on a muff or fumble.

hasPenalty
​boolean | null · required
parseStatus
​PuntParseStatus · enum · required
Enum values:
complete
partial
GET/punting/plays
curl https://api.collegefootballdata.com/punting/plays \ --header 'Authorization: Bearer <token>'
Example Responses
[ { "gameId": 0, "playId": "playId", "driveId": "driveId", "season": 0, "week": 0, "seasonType": "regular", "puntingTeamId": 0, "puntingTeam": "puntingTeam", "puntingConference": "puntingConference", "receivingTeamId": 0, "receivingTeam": "receivingTeam", "receivingConference": "receivingConference", "period": 0, "clock": { "minutes": 0, "seconds": 0 }, "down": 0, "distance": 0, "playType": "playType", "playText": "playText", "punterId": "punterId", "punter": "punter", "receiverId": "receiverId", "receiver": "receiver", "returnerId": "returnerId", "returner": "returner", "blockerId": "blockerId", "blocker": "blocker", "countsAsPunt": true, "countsAsReturn": true, "startYardsToGoal": 0, "puntYards": 0, "returnYards": 0, "returnerYards": 0, "netPuntYards": 0, "kickEndYardline": 0, "endYardline": 0, "isTouchback": true, "isFairCatch": true, "isOutOfBounds": true, "isDowned": true, "isBlocked": true, "isMuffed": true, "isReturnTouchdown": true, "isReceivingTeamTurnover": true, "hasPenalty": true, "parseStatus": "complete" } ]
json
application/json

GET
https://api.collegefootballdata.com
/punting/players/season
Bearer

Returns individually attributed punting and punt return production by season.

Player totals do not include team-only or unattributed punts and returns, and therefore are not expected to sum to team totals.

query Parameters

year
​integer · int32 · required

Season year. Required.

seasonType
​SeasonType · enum

Season type.

Enum values:
regular
postseason
both
allstar
spring_regular
spring_postseason
team
​string

Team name.

conference
​string

Conference name or abbreviation.

playerId
​string

Player athlete ID.

classification
​DivisionClassification · enum

Division classification. Defaults to fbs.

Enum values:
fbs
fcs
ii
ii/iii
iii

Responses

200

Ok

​PlayerPuntingSeason[]
Null when the player has no punts or returns in that role.
PlayerPuntingSeason
season
​integer · int32 · required
playerId
​string · required
player
​string · required
team
​string · required
conference
​string | null · required
​object · required

Production on punts kicked by a player.

​object · required

Production on punts fielded, returned, or blocked by a player.

GET/punting/players/season
curl 'https://api.collegefootballdata.com/punting/players/season?year=<number>' \ --header 'Authorization: Bearer <token>'
Example Responses
[ { "season": 0, "playerId": "playerId", "player": "player", "team": "team", "conference": "conference", "punting": { "punts": 0, "puntYardsAvailable": 0, "puntYards": 0, "yardsPerPunt": 0, "longestPunt": 0, "punts50Plus": 0, "netPuntYardsAvailable": 0, "netPuntYards": 0, "netYardsPerPunt": 0, "touchbacks": 0, "fairCatches": 0, "outOfBounds": 0, "downed": 0, "inside20": 0, "blocked": 0 }, "returning": { "returns": 0, "returnYardsAvailable": 0, "returnYards": 0, "yardsPerReturn": 0, "longestReturn": 0, "returns20Plus": 0, "returnTouchdowns": 0, "fairCatches": 0, "muffs": 0, "blocks": 0 } } ]
json
application/json

GET
https://api.collegefootballdata.com
/punting/players/games
Bearer

Returns individually attributed punting and punt return production by game.

Player totals do not include team-only or unattributed punts and returns, and therefore are not expected to sum to team totals.

query Parameters

year
​integer · int32 · required

Season year. Required.

week
​integer · int32

Week number.

seasonType
​SeasonType · enum

Season type.

Enum values:
regular
postseason
both
allstar
spring_regular
spring_postseason
team
​string

Team name.

conference
​string

Conference name or abbreviation.

playerId
​string

Player athlete ID.

classification
​DivisionClassification · enum

Division classification. Defaults to fbs.

Enum values:
fbs
fcs
ii
ii/iii
iii

Responses

200

Ok

​PlayerPuntingGame[]
Null when the player has no punts or returns in that role.
PlayerPuntingGame
gameId
​integer · int32 · required
season
​integer · int32 · required
week
​integer · int32 · required
seasonType
​SeasonType · enum · required
Enum values:
regular
postseason
both
allstar
spring_regular
spring_postseason
playerId
​string · required
player
​string · required
team
​string · required
conference
​string | null · required
opponent
​string · required
​object · required

Production on punts kicked by a player.

​object · required

Production on punts fielded, returned, or blocked by a player.

GET/punting/players/games
curl 'https://api.collegefootballdata.com/punting/players/games?year=<number>' \ --header 'Authorization: Bearer <token>'
Example Responses
[ { "gameId": 0, "season": 0, "week": 0, "seasonType": "regular", "playerId": "playerId", "player": "player", "team": "team", "conference": "conference", "opponent": "opponent", "punting": { "punts": 0, "puntYardsAvailable": 0, "puntYards": 0, "yardsPerPunt": 0, "longestPunt": 0, "punts50Plus": 0, "netPuntYardsAvailable": 0, "netPuntYards": 0, "netYardsPerPunt": 0, "touchbacks": 0, "fairCatches": 0, "outOfBounds": 0, "downed": 0, "inside20": 0, "blocked": 0 }, "returning": { "returns": 0, "returnYardsAvailable": 0, "returnYards": 0, "yardsPerReturn": 0, "longestReturn": 0, "returns20Plus": 0, "returnTouchdowns": 0, "fairCatches": 0, "muffs": 0, "blocks": 0 } } ]
json
application/json

GET
https://api.collegefootballdata.com
/punting/teams/season
Bearer

Returns team punting and punt return production by season.

Punting describes the team's punts. Returning describes opponent punts and the team's returns.

query Parameters

year
​integer · int32 · required

Season year. Required.

seasonType
​SeasonType · enum

Season type.

Enum values:
regular
postseason
both
allstar
spring_regular
spring_postseason
team
​string

Team name.

conference
​string

Conference name or abbreviation.

classification
​DivisionClassification · enum

Division classification. Defaults to fbs.

Enum values:
fbs
fcs
ii
ii/iii
iii

Responses

200

Ok

​TeamPuntingSeason[]
TeamPuntingSeason
season
​integer · int32 · required
team
​string · required
conference
​string | null · required
​TeamPuntingProduction · required

Production on a team's punts. On the returning side, punt and net yards describe opponent punts.

​TeamPuntingProduction · required

Production on a team's punts. On the returning side, punt and net yards describe opponent punts.

GET/punting/teams/season
curl 'https://api.collegefootballdata.com/punting/teams/season?year=<number>' \ --header 'Authorization: Bearer <token>'
Example Responses
[ { "season": 0, "team": "team", "conference": "conference", "punting": { "punts": 0, "puntYardsAvailable": 0, "puntYards": 0, "yardsPerPunt": 0, "longestPunt": 0, "punts50Plus": 0, "netPuntYardsAvailable": 0, "netPuntYards": 0, "netYardsPerPunt": 0, "touchbacks": 0, "fairCatches": 0, "outOfBounds": 0, "downed": 0, "inside20": 0, "blocked": 0, "returns": 0, "returnYardsAvailable": 0, "returnYards": 0, "yardsPerReturn": 0, "longestReturn": 0, "returns20Plus": 0, "returnTouchdowns": 0, "muffs": 0, "receivingTeamTurnovers": 0 }, "returning": { "punts": 0, "puntYardsAvailable": 0, "puntYards": 0, "yardsPerPunt": 0, "longestPunt": 0, "punts50Plus": 0, "netPuntYardsAvailable": 0, "netPuntYards": 0, "netYardsPerPunt": 0, "touchbacks": 0, "fairCatches": 0, "outOfBounds": 0, "downed": 0, "inside20": 0, "blocked": 0, "returns": 0, "returnYardsAvailable": 0, "returnYards": 0, "yardsPerReturn": 0, "longestReturn": 0, "returns20Plus": 0, "returnTouchdowns": 0, "muffs": 0, "receivingTeamTurnovers": 0 } } ]
json
application/json

GET
https://api.collegefootballdata.com
/punting/teams/games
Bearer

Returns team punting and punt return production by game.

Punting describes the team's punts. Returning describes opponent punts and the team's returns.

query Parameters

year
​integer · int32 · required

Season year. Required.

week
​integer · int32

Week number.

seasonType
​SeasonType · enum

Season type.

Enum values:
regular
postseason
both
allstar
spring_regular
spring_postseason
team
​string

Team name.

conference
​string

Conference name or abbreviation.

classification
​DivisionClassification · enum

Division classification. Defaults to fbs.

Enum values:
fbs
fcs
ii
ii/iii
iii

Responses

200

Ok

​TeamPuntingGame[]
TeamPuntingGame
gameId
​integer · int32 · required
season
​integer · int32 · required
week
​integer · int32 · required
seasonType
​SeasonType · enum · required
Enum values:
regular
postseason
both
allstar
spring_regular
spring_postseason
team
​string · required
conference
​string | null · required
opponent
​string · required
​TeamPuntingProduction · required

Production on a team's punts. On the returning side, punt and net yards describe opponent punts.

​TeamPuntingProduction · required

Production on a team's punts. On the returning side, punt and net yards describe opponent punts.

GET/punting/teams/games
curl 'https://api.collegefootballdata.com/punting/teams/games?year=<number>' \ --header 'Authorization: Bearer <token>'
Example Responses
[ { "gameId": 0, "season": 0, "week": 0, "seasonType": "regular", "team": "team", "conference": "conference", "opponent": "opponent", "punting": { "punts": 0, "puntYardsAvailable": 0, "puntYards": 0, "yardsPerPunt": 0, "longestPunt": 0, "punts50Plus": 0, "netPuntYardsAvailable": 0, "netPuntYards": 0, "netYardsPerPunt": 0, "touchbacks": 0, "fairCatches": 0, "outOfBounds": 0, "downed": 0, "inside20": 0, "blocked": 0, "returns": 0, "returnYardsAvailable": 0, "returnYards": 0, "yardsPerReturn": 0, "longestReturn": 0, "returns20Plus": 0, "returnTouchdowns": 0, "muffs": 0, "receivingTeamTurnovers": 0 }, "returning": { "punts": 0, "puntYardsAvailable": 0, "puntYards": 0, "yardsPerPunt": 0, "longestPunt": 0, "punts50Plus": 0, "netPuntYardsAvailable": 0, "netPuntYards": 0, "netYardsPerPunt": 0, "touchbacks": 0, "fairCatches": 0, "outOfBounds": 0, "downed": 0, "inside20": 0, "blocked": 0, "returns": 0, "returnYardsAvailable": 0, "returnYards": 0, "yardsPerReturn": 0, "longestReturn": 0, "returns20Plus": 0, "returnTouchdowns": 0, "muffs": 0, "receivingTeamTurnovers": 0 } } ]
json
application/json

RushingTeams